@extends('layouts.master')
@section('content')
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                <h4 class="card-title">SAKU Reviewer</h4>
            </div>
            <div class="card-body">
                <div class="card-text">
                    <div class="row">
                        <div class="panel panel-info">
                            <div class="panel-body">
                                <form action="{{ route('laporan.download') }}" method="POST">
                                    @csrf
                                    <button type="submit" class="btn btn-success pull-lefts">Download Excel</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="table-responsive mb-4">
                <table id="zero-config" class="table table-hover" style="width:100%">
                    <thead>
                        <tr>
                            <th>No.</th>
                            <th style="text-align: left">Nama Penelaah</th>
                            <th style="text-align: left">NIP</th>
                            <th style="text-align: left">Unit Kerja</th>
                            <th style="text-align: left">Jumlah Protokol yang Ditelaah</th> 
                        </tr>
                    </thead>
                    <tbody>
                        @php
                            $no = 1;
                        @endphp
                        @foreach($rs as $item)
                            <tr>
                                <td>{{ $no }}</td>
                                <td style="text-align: left">{{ $item->nama }}</td>
                                <td style="text-align: left">{{ $item->nip }}</td>
                                <td style="text-align: left">{{ $item->unit }}</td>
                                <td style="text-align: left">{{ $item->jumlah }}</td>
                            </tr>
                            @php
                                $no++;
                            @endphp
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@push('js')
@endpush
@stop
